#pragma once

#include "common.h"

namespace saw {
class event_loop;
class log_io;
class log {
public:
	enum class Type : uint8_t { Info, Warning, Error, Debug };

private:
	log_io &central_;
	event_loop &loop_;

public:
	log(log_io &central, event_loop &loop);
};
class log_io {
private:
	event_loop &loop_;

public:
	log_io(event_loop &loop);
};
} // namespace saw
